"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var Styled = require("../style");
var lodash_1 = require("lodash");
var ArrowButton_1 = require("../../../common/ArrowButton");
var Month = function (props) {
    var date = props.date, setDate = props.setDate;
    return ((0, jsx_runtime_1.jsxs)(Styled.Month, { children: [(0, jsx_runtime_1.jsx)(ArrowButton_1.default, { onClick: function () {
                    return setDate(function (date) {
                        var newDate = lodash_1.default.cloneDeep(date);
                        newDate.plus({ month: -1 });
                        return newDate;
                    });
                }, direction: "Left" }), date.getString().slice(0, 7), (0, jsx_runtime_1.jsx)(ArrowButton_1.default, { onClick: function () {
                    return setDate(function (date) {
                        var newDate = lodash_1.default.cloneDeep(date);
                        newDate.plus({ month: 1 });
                        return newDate;
                    });
                }, direction: "Right" })] }));
};
exports.default = Month;
