import React from "react";
import { InputOnchangeProperty, SizeProps } from "../../../types/props";
import { InputOnFoucsProperty } from "../../../types/props/tags/input";
import { ListItemOnClickProperty } from "../../../types/props/tags/listItem";
interface DatePickerProps extends SizeProps {
    weekdays?: Array<string>;
    mondayFirst?: boolean;
    weekendColor?: boolean;
    value: string;
    onChange: InputOnchangeProperty;
    onClick?: ListItemOnClickProperty;
    onFocus?: InputOnFoucsProperty;
    onSearch?: InputOnchangeProperty;
    style?: React.CSSProperties;
    listContainerStyle?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const DatePicker: React.ForwardRefExoticComponent<DatePickerProps & React.RefAttributes<HTMLInputElement>>;
export default DatePicker;
