import React, { DetailedHTMLProps, InputHTMLAttributes, ForwardedRef } from "react";
export declare type InputDefaultProps = DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
export declare type InputForwardedRef = ForwardedRef<HTMLInputElement>;
export declare type InputValueProperty = string | number | readonly string[];
export declare type InputPlaceholderProperty = string;
export declare type InputOnChangeProperty = React.ChangeEventHandler<HTMLInputElement>;
export declare type InputOnFoucsProperty = React.FocusEventHandler<HTMLInputElement>;
export declare type InputChangeEvent = React.ChangeEvent<HTMLInputElement>;
export declare type InputFocusEvent = React.FocusEvent<HTMLInputElement>;
export declare type InputKeyboardEvent = React.KeyboardEvent<HTMLInputElement>;
