import { MouseEvent } from "react";
import { Theme } from "@emotion/react";
interface Props {
    theme: Theme;
    active?: boolean;
}
export declare const getColorByStatus: (props: Props) => string;
export declare const getPrimaryColor: (props: Props | Theme) => string;
export declare const getDefaultColor: (props: Props | Theme) => string;
/**
 * Generate Ripple Effect at Button Click
 * @param event
 * @param theme
 * @param primary
 */
export declare const rippleEffect: (event: MouseEvent<HTMLElement>, theme: Theme, primary: boolean) => void;
export {};
