import React from "react";
import { InputOnchangeProperty, SizeProps } from "../../../types/props";
import { InputOnFoucsProperty } from "../../../types/props/tags/input";
interface TimePickerProps extends SizeProps {
    show24Hour?: boolean;
    showSeconds?: boolean;
    showItemCount?: number;
    value: string;
    onChange: InputOnchangeProperty;
    onFocus?: InputOnFoucsProperty;
    onSearch?: InputOnchangeProperty;
    style?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const TimePicker: React.ForwardRefExoticComponent<TimePickerProps & React.RefAttributes<HTMLInputElement>>;
export default TimePicker;
